org.apache.lucene.analysis.stempel

## Class StempelPolishStemFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.stempel.StempelPolishStemFilterFactory

    public class StempelPolishStemFilterFactory
    extends TokenFilterFactory

Factory for `StempelFilter` using a Polish stemming table.

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`StempelPolishStemFilterFactory()` Sole constructor.

### Method Summary

Methods
`TokenStream` `create(TokenStream input)`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StempelPolishStemFilterFactory

    public StempelPolishStemFilterFactory()

Sole constructor. See `AbstractAnalysisFactory` for initialization lifecycle.

### Method Detail

#### create

    public TokenStream create(TokenStream input)

Specified by:
  `create` in class `TokenFilterFactory`